.\"	$NetBSD: mkfifo.1,v 1.10 2003/08/07 11:15:13 agc Exp $
.\"
.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Institute of Electrical and Electronics Engineers, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)mkfifo.1	8.2 (Berkeley) 1/5/94
.\"
.Dd January 5, 1994
.Dt MKFIFO 1
.Os
.Sh NAME
.Nm mkfifo
.Nd make fifos
.Sh SYNOPSIS
.Nm
.Op Fl m Ar mode
.Ar fifo_name  ...
.Sh DESCRIPTION
.Nm
creates the fifos requested, in the order specified,
using mode
.Li \&0666
modified by the current
.Xr umask 2 .
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl m
Set the file permission bits of newly-created fifos to
.Ar mode .
The mode is specified as in
.Xr chmod 1 .
In symbolic mode strings, the
.Dq +
and
.Dq -
operators are interpreted relative to an assumed initial mode of
.Dq a=rw
.El
.Pp
.Nm
requires write permission in the parent directory.
.Pp
.Nm
exits 0 if successful, and \*[Gt]0 if an error occurred.
.Sh SEE ALSO
.Xr mkdir 1 ,
.Xr rm 1 ,
.Xr mkfifo 2 ,
.Xr mknod 8
.Sh STANDARDS
The
.Nm
utility is expected to be
.St -p1003.2-92
compliant.
.Sh HISTORY
.Nm
command appeared in
.Bx 4.4 .
